sparse_memory_present_with_active_regions
Prev | More Memory Management Functions | Next

## Name

sparse_memory_present_with_active_regions — Call memory_present for each active range

## Synopsis

`void __init sparse_memory_present_with_active_regions (` | int | nid`)`;

## Arguments

`nid`

  The node to call memory_present for. If MAX_NUMNODES, all nodes will be used.

## Description

If an architecture guarantees that all ranges registered with `add_active_ranges` contain no holes and may be freed, this function may be used instead of calling `memory_present` manually.

Prev | Up | Next
free_bootmem_with_active_regions | Home | push_node_boundaries